{% extends 'base.html.twig' %}
{% block title %} Modification Pixel Art {{pixel.id}}{% endblock %}

{% block body %}
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <div class="card pixForm">
                    <h2>Choisissez la couleur du pinceau</h2>
                    <form>
                        <input class="inputPixColor" type="color" id="colorPicker" value="#fff"
                               title="Choissisez la couleur du pinceau">
                        <h2>Mode: </h2><span id="modeDisplay" class="paintOrErase"></span>
                        <br>
                        <div id="mode">
                            <button id="paintBtn" class="btn  paint" title="Set mode to PAINT"
                                    type="button">
                                <i class="fas fa-paint-brush paint"></i>
                            </button>
                            <button id="eraseBtn" class="btn  erase" title="Set mode to ERASE"
                                    type="button">
                                <i class="fas fa-eraser erase"></i>
                            </button>
                        </div>
                    </form>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card pixForm">
                    <h2>Modifier les informations complementaires</h2>
                    <div class="body">
                        {{ form_start(form) }}
                        <form action="">
                            <div class="form-group">
                                <label for="pixel_pub_link"></label>
                                {{ form_widget(form.link) }}
                            </div>
                            <small class="form-text text-muted">
                                Veuillez entrer l'url compléte de votre site
                            </small>
                            <div class="form-group">
                                <label for="pixel_pub_title"></label>
                                {{ form_widget(form.title) }}
                                <small class="form-text text-muted">
                                    Vous pouvez ici entrer ici une phrase decrivant votre site et qui apparaitre de
                                    cette maniere quand vous passerez votre souris dessus ==>
                                </small><i class="fa-solid fa-certificate" title="Voici un exemple  "></i>
                            </div>
                            <div class="form-group">
                                <label for="pixel_pub_banner"></label>
                                {{ form_widget(form.banner) }}
                                <small class="form-text text-muted">
                                    Choissisez sur quel banniere apparaitra votre Pixel Art
                                </small>
                            </div>
                        </form>
                        {{ form_end(form) }}
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="card-body pixel-art">
                <p class="card-text hidden" id="widthArt">{{ pixel.width }}</p>
                <p class="card-text hidden" id="heightArt">{{ pixel.height }}</p>
                <p class="card-text hidden" id="idPixel">{{ pixel.id }}</p>
                <h5 class="card-title hidden" id="pixelArt">{{ pixel.draw }}</h5>
                <div id="gridCanvas" class="gridCanvas rotationTime">
                    <table id="pixelCanvas"></table>
                    <p id="legend" class="noLegend"><em></em></p>
                </div>
                <div class="text-center">
                    <button class="btn" id="saveCanvas"> Enregistrer votre Oeuvre d'art</button>
                    <a
                            class="btn" href="{{ path('pixel_art_delete', {'id': pixel.id}) }}"
                            onclick="return confirm('Etes vous sur de vouloir supprimer ce chef d\'oeuvre ?');">
                        Supprimer votre Oeuvre d'art
                    </a>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
    {% block javascripts %}
        <script src="{{ asset('js/edit-pixel-art.js') }}"></script>
    {% endblock %}


